Skip to main content
GET
/
pwa
/
v3
/
projects
/
:project_slug
/
environments
/
:environment_slug
/
event_log_streaming
/
:destination_type
Get
curl --request GET \
  --url https://management.stytch.com/pwa/v3/projects/:project_slug/environments/:environment_slug/event_log_streaming/:destination_type \
  --header 'Authorization: Basic <encoded-value>'
{
  "request_id": "<string>",
  "event_log_streaming_config": {
    "destination_type": "DATADOG",
    "destination_config": {
      "datadog": {
        "api_key_last_four": "<string>",
        "site": "US"
      },
      "grafana_loki": {
        "hostname": "<string>",
        "username": "<string>",
        "password_last_four": "<string>"
      }
    },
    "streaming_status": "ACTIVE"
  },
  "status_code": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

project_slug
string
required
environment_slug
string
required
destination_type
enum<string>
required
Available options:
DATADOG,
GRAFANA_LOKI

Response

Successful response

Response type

request_id
string
required
event_log_streaming_config
object
required
status_code
integer<int32>
required